function zdot = myrhs(t,z,p)
% 2D , 2 particles
 %Unpack z
r1 = z(1:2);  r2 = z(3:4); 
v1 = z(5:6);  v2 = z(7:8);
r=[r1;r2]; v= [v1;v2];

r12 = r2 - r1; 

d12 = norm(r12);

F12 = (p.G * p.m1 * p.m2/(d12^3))*r12;
F21 = -F12;

rdot = v;

v1dot = F12 / p.m1;
v2dot = F21 / p.m2;
vdot = [v1dot;v2dot];


zdot = [rdot; vdot];
end